%define svn_rel 434

Name:          echoping
Version:       6.1
Release:       0.8.beta.r%{svn_rel}svn%{?dist}
Summary:       TCP performance test to measure response time of network hosts
Group:         Applications/Internet

License:       GPLv2+
URL:           http://echoping.sourceforge.net/
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  svn export -r 434 svn://svn.code.sf.net/p/echoping/svn/trunk/SRC/ echoping-6.1-BETA_r434
#  tar -cJvf echoping-6.1-BETA_r434.tar.xz echoping-6.1-BETA_r434
Source0:       %{name}-%{version}-BETA_r%{svn_rel}.tar.xz
Patch0:        echoping-6.0.2-no-so-version.patch
Patch1:        echoping-6.0.2-so.patch

BuildRequires: openssl-devel, libidn-devel, popt-devel, zlib-devel, openldap-devel, postgresql-devel
BuildRequires: autoconf, automake, libtool

%description
Echoping is a small program to test (approximate) performances of a
remote host by sending TCP "echo" (or other protocol, such as HTTP)
packets.

%package       dns
Summary:       DNS plugin for checking response times of DNS servers
Group:         Applications/Internet
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description   dns
DNS performance measurement plugin for echoping.


%package       ldap
Summary:       LDAP plugin for checking response times of LDAP servers
Group:         Applications/Internet
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description   ldap
LDAP performance measurement plugin for echoping.


%package       postgresql
Summary:       PostgreSQL plugin for checking response times of PostgreSQL servers
Group:         Applications/Internet
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description   postgresql
PostgreSQL performance measurement plugin for echoping.


%package       whois
Summary:       WHOIS plugin for checking response times of Whois servers
Group:         Applications/Internet
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description   whois
WHOIS performance measurement plugin for echoping.

%package       devel
Summary:       Development files for %{name}
Group:         Development/Libraries
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-%{version}-BETA_r%{svn_rel}
%patch0 -p1
%patch1 -p1


%build
# Workaround for libtoolize not working correctly on older fedora releases.
# Can be dropped with EOL of f22
ln -s /usr/share/libtool/config/ltmain.sh
./recreate-autofiles
%configure \
	--enable-icp \
	--enable-http \
	--enable-smtp \
	--enable-tos \
	--enable-priority \
 	--with-libidn \
	--with-ssl \
	--without-gnutls \
	--disable-static \
	CFLAGS="%{optflags} -D_GNU_SOURCE" 


%{__make} %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# Clean .la files
find %{buildroot} -name '*.la' | xargs rm -f

rm -f %{buildroot}%{_libdir}/echoping/random.*
rm -f %{buildroot}%{_mandir}/man1/echoping_random.1*


%files
%doc AUTHORS ChangeLog README TODO DETAILS
%license COPYING
%{_bindir}/echoping
%dir %{_libdir}/echoping/
%{_mandir}/man1/echoping.1*

%files dns
%{_mandir}/man1/echoping_dns.1*
%{_libdir}/echoping/dns.so

%files ldap
%{_mandir}/man1/echoping_ldap.1*
%{_libdir}/echoping/ldap.so

%files postgresql
%{_mandir}/man1/echoping_postgresql.1*
%{_libdir}/echoping/postgresql.so

%files whois
%{_mandir}/man1/echoping_whois.1*
%{_libdir}/echoping/whois.so

%files devel
%{_includedir}/echoping/


%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 6.1-0.8.beta.r434svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 6.1-0.7.beta.r434svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 6.1-0.6.beta.r434svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 6.1-0.5.beta.r434svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 6.1-0.4.beta.r434svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 6.1-0.3.beta.r434svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.1-0.2.beta.r434svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Feb 26 2015 Andreas Thienemann <andreas@bawue.net> - 6.1-0.1.beta.r434svn
- Small specfile improvements to confirm to updated packaging guidelines. Thx to mschwendt.

* Wed Feb 25 2015 Andreas Thienemann <andreas@bawue.net> - 6.1-0.beta.r434svn.1
- Updated to latest SVN, fixing #705174 and #1007031
- Removed so versioning and fixed module loading, fixing #460557 and #1032547

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.0.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.0.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.0.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.0.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.0.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.0.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 6.0.2-6
- rebuilt with new openssl

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 15 2009 Tomas Mraz <tmraz@redhat.com> 6.0.2-3
- rebuild with new openssl

* Thu Jul 17 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 6.0.2-2
- fix license tag

* Mon Feb 11 2008 Andreas Thienemann <andreas@bawue.net> - 6.0.2-1
- Updated to 6.0.2
- Split into subpackages for plugins

* Wed Dec 05 2007 Release Engineering <rel-eng at fedoraproject dot org> - 5.2.0-3
- Rebuild for deps

* Fri Sep 08 2006 Andreas Thienemann <andreas@bawue.net> - 5.2.0-2
- FE6 Rebuild

* Mon Mar 13 2006 Andreas Thienemann <andreas@bawue.net> 5.2.0-1
- Initial FE release.
